org.eclipse.ui.navigator

## Interface ILinkHelper

    public interface ILinkHelper

Provides information to the Common Navigator on how to link selections with active editors and vice versa.

The Common Navigator allows clients to plug-in their own custom logic for linking selections from the Viewer to active editors. This interface is used by the org.eclipse.ui.navigator.linkHelper extension point to gather information and trigger editor activations.

Since:
  3.2

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `activateEditor(IWorkbenchPage aPage, IStructuredSelection aSelection)` Activate the correct editor for aSelection.
`IStructuredSelection` `findSelection(IEditorInput anInput)` Determine the correct structured selection for the Common Navigator given anInput.

### Method Detail

#### findSelection

    IStructuredSelection findSelection(IEditorInput anInput)

Determine the correct structured selection for the Common Navigator given anInput.

Parameters:
  `anInput` - An Editor input
Returns:
  A selection to be set against the `CommonViewer`

#### activateEditor

    void activateEditor(IWorkbenchPage aPage,
                        IStructuredSelection aSelection)

Activate the correct editor for aSelection.

Parameters:
  `aPage` - A WorkbenchPage to use for editor location and activation
  `aSelection` - The current selection from the `CommonViewer`